MSYNC(2)

NAME
msync - synchronize a mapped region

LIBRARY
libc

SYNOPSIS
#include <sys/mman.h>
int
msync(void *addr, size_t len, int flags);

DESCRIPTION
The msync() system call writes any modified pages back to the file system and updates the file modification time. If len is 0, all modified pages within the region containing addr will be flushed; if len is non-zero, only those pages containing addr and len-1 succeeding locations will be examined. The flags argument may be specified as follows:

    MS_ASYNC	Return immediately
    MS_SYNC		Perform synchronous writes
    MS_INVALIDATE	Invalidate all cached data

RETURN VALUES

ERRORS
The msync() system call will fail if:

[EBUSY]
    Some or all of the pages in the specified region are locked and MS_INVALIDATE is specified.

[EINVAL]
    The addr argument is not a multiple of the hardware page size.

[EINVAL]
    The len argument is too large or negative.

[EINVAL]
    The flags argument was both MS_ASYNC and MS_INVALIDATE. Only one of these flags is allowed.

SEE ALSO
madvise(2), mincore(2), mlock(2), mprotect(2), munmap(2)

HISTORY
The msync() system call first appeared in 4.4BSD.